libnet-server-perl (2.013-2) unstable; urgency=medium

  * Update debian/upstream/metadata.
  * Update standards version to 4.6.2, no changes needed.
  * Add patch to fix UDP receiving in Fork server.
    Thanks to Dominique Fournier for the bug report. (Closes: #1031712)
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 Feb 2023 16:47:29 +0100

libnet-server-perl (2.013-1) unstable; urgency=medium

  * Import upstream version 2.013.
    2.011 adds 'double_reverse_lookups' configuration and code as a fix for
    "CVE-2013-1841: Improper reverse DNS matching check for the given
    hostname".
    This can be enabled by setting 'reverse_lookups=double' or
    'double_reverse_lookups=1'. Cf. Net::Server(3pm) and CPAN RT#83909.
    (Closes: #702914)
  * debian/watch: use uscan macros.
  * Drop patches applied upstream.
  * Update years of upstream copyright.
  * Refresh test and runtime dependencies.

 -- gregor herrmann <gregoa@debian.org>  Sat, 03 Dec 2022 15:52:00 +0100

libnet-server-perl (2.010-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Import upstream version 2.010.
  * Drop update-certs-to-use-2048-bits-key.patch, fixed upstream.
  * Refresh spelling-error.patch (one mistake was fixed).
  * Drop another-manpage-error.patch, merged upstream.
  * Bump debhelper-compat to 13.

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.

  [ gregor herrmann ]
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.6.1.
  * Add another typo fix to spelling-error.patch.

 -- gregor herrmann <gregoa@debian.org>  Sat, 20 Aug 2022 18:22:55 +0200

libnet-server-perl (2.009-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * fix lintian wrong-path-for-interpreter error

  [ Xavier Guimard ]
  * Email change: Xavier Guimard -> yadd@debian.org

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Fix day-of-week for changelog entry 0.87-1.

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Lucas Kanashiro ]
  * d/p/update-certs-to-use-2048-bits-key.patch: increase certs' key size

  [ gregor herrmann ]
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Drop unneeded alternative (build) dependencies.
  * Annotate test-only build dependencies with <!nocheck>.
  * Add patch from CPAN RT to fix warning about Sys::Syslog version.
    (Closes: #922765)

 -- gregor herrmann <gregoa@debian.org>  Fri, 03 Apr 2020 17:02:06 +0200

libnet-server-perl (2.009-1) unstable; urgency=medium

  [ Xavier Guimard ]
  * New upstream version
  * Declare compliance with Debian Policy 4.1.1
  * Update debian/copyright years
  * Remove debug-output.patch, now included in upstream
  * Remove File::Temp patches related to #826437, now included in upstream
  * Refresh patch offsets
  * Add another patch for a POD error

  [ gregor herrmann ]
  * Update build and runtime dependencies.
    - Add more build dependencies to enable additional tests.
    - Move SSL-related packages from Suggests to Depends to ensure encrypted
      connections are possible.
  * autopkgtest: enable syntax.t by adding debian/tests/pkg-perl/syntax-
    skip. We skip the test for the module which needs the suggested
    liblog-log4perl-perl.
  * Bump debhelper compatibility level to 10.

  [ intrigeri ]
  * Remove myself from uploaders.

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 12 Feb 2018 12:19:27 +0100

libnet-server-perl (2.008-4) unstable; urgency=medium

  * Change bugtracker URL(s) to HTTPS.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Carsten Wolff from Uploaders. Thanks for your work!
  * Remove Daniel Kahn Gillmor from Uploaders. Thanks for your work!
  * Add two patches from GitHub pull request to fix issue with
    POSIX::tmpnam removal. Thanks to Dagfinn Ilmari Mannsåker
    (https://github.com/rhandom/perl-net-server/pull/10) (Closes: #826437)
  * Add debian/upstream/metadata.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.0.0.

 -- gregor herrmann <gregoa@debian.org>  Thu, 22 Jun 2017 18:32:22 +0200

libnet-server-perl (2.008-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Add patch to remove debug output. (Closes: #818145)
  * Add another fix to spelling-error.patch.
  * Update years of packaging copyright.
  * Bump debhelper compatibility level to 9.
  * Declare compliance with Debian Policy 3.9.7.

 -- gregor herrmann <gregoa@debian.org>  Mon, 14 Mar 2016 20:21:32 +0100

libnet-server-perl (2.008-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 3.9.6.
  * Add explicit (build) dependency on libcgi-pm-perl.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Wed, 17 Jun 2015 23:14:20 +0200

libnet-server-perl (2.008-1) unstable; urgency=low

  * Team upload.

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 2.008
  * Declare compliance with Debian Policy 3.9.5
  * Update copyright years for upstream files
  * Refresh spelling-error.patch patch (offset)
  * Add fix-manpage-has-errors-from-pod2man.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 18 May 2014 22:58:05 +0200

libnet-server-perl (2.007-3) unstable; urgency=low

  * Fix regression introduced by "SIGCHLD vs. SIGCLD" patch: extend CLD change
    to all functions of SIG.pm (Closes: #712714)

 -- Xavier Guimard <x.guimard@free.fr>  Fri, 21 Jun 2013 06:13:49 +0200

libnet-server-perl (2.007-2) unstable; urgency=low

  * Update spelling errors patch
  * Fix "applications die() because of SIGCHLD vs. SIGCLD confusion"
    using a patch (Closes: #708180)

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 16 Jun 2013 08:20:33 +0200

libnet-server-perl (2.007-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Xavier Guimard ]
  * Imported Upstream version 2.007 (Closes: #693320)
  * Bump Standards-Version to 3.9.4 (no changes)
  * Remove pod patch now included in upstream
  * Add spelling error patch
  * Update debian/copyright years

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 05 May 2013 06:17:50 +0200

libnet-server-perl (2.006-1) unstable; urgency=low

  * Imported Upstream version 2.006
  * Refresh 0001-Fix-errors-in-POD.patch.

 -- intrigeri <intrigeri@debian.org>  Mon, 25 Jun 2012 15:46:02 +0200

libnet-server-perl (2.005-1) unstable; urgency=low

  * Imported Upstream version 2.005 (Closes: #667737)
  * Suggest liblog-log4perl-perl.
  * Drop 03_rt-cpan-65891-reap-children.patch: obsoleted by upstream changes.
  * Drop 04_fix-pod-error-in-http-manapage.patch: obsolete.
  * Drop 05_ipv6-support.patch: upstream added IPv6 support, let's use it.
  * Drop 06_cidr-workaround.patch: upstream applied some flavour of it.
  * Drop 08_propagate-dynamic-port-data-across-a-hup.patch:
    upstream supposedly fixed their handling of HUP vs. rebinding to ports.
  * Replace spelling patch with updated 0001-Fix-errors-in-POD.patch.
  * Re-enable test suite.
  * Fix debian/copyright with cme.
  * Add myself to uploaders.

 -- intrigeri <intrigeri@debian.org>  Thu, 14 Jun 2012 12:19:56 +0200

libnet-server-perl (0.99-4) unstable; urgency=low

  * added patch to propagate port information across a HUP
    (Closes: #624500)
  * added myself to Uploaders.
  * bumped Standards-Version to 3.9.3 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 15 Mar 2012 20:25:44 -0400

libnet-server-perl (0.99-3) unstable; urgency=low

  [ Carsten Wolff ]
  * took IPv6 patch from bug report, improved and included it
    as 05_ipv6-support.dpatch.
    (closes: Bug#523846)
  * added depends introduced by above patch
  * created patch 06_cidr-workaround.dpatch as a workaround
    until Net::CIDR is fixed

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ gregor herrmann ]
  * Drop ancient patch 02_spec.dpatch which causes a FTBFS. Thanks to
    Allison Randal for the bug report and the thorough analysis.
    (Closes: #642175)
  * Switch to source format 3.0 (quilt).
  * Convert remaining patches to quilt.
  * Use tiny debian/rules file, and debhelper 8.
  * Remove version from perl build dependency and move it to Build-
    Depends-Indep.
  * Set Standards-Version to 3.9.2 (no further changes).
  * debian/copyright: update formatting.
  * Add /me to Uploaders.
  * Remove leading article from short description.
  * Add a new patch to fix a spelling mistake in the POD.

 -- gregor herrmann <gregoa@debian.org>  Tue, 20 Sep 2011 22:04:38 +0200

libnet-server-perl (0.99-2) unstable; urgency=low

  * made lintian happy
    - fix deprecated makemaker prefix in rules
    - add patch to fix Net::Server::HTTP pod2man
    - updated copyright file in DEP5
    - add debian/source/format

 -- Carsten Wolff <carsten@wolffcarsten.de>  Mon, 21 Mar 2011 13:46:44 +0100

libnet-server-perl (0.99-1) unstable; urgency=low

  [ Carsten Wolff ]
  * New upstream release
  * changed maintainer to pkg-perl
  * updated standards version to 3.9.1
    one change: homepage field
  * added 03_rt-cpan-65891-reap-children.dpatch

  [ Scott Kitterman ]
  * Update debian/copyright
  * Add ${misc:Depends} to libnet-server-perl Depends
  * Added debian/README.source
  * Replace deprecated dh_clean -k with dh_prep and bump required debhelper
    version to >= 7
  * Add pkg-perl Vcs-* to debian/control

 -- Carsten Wolff <carsten@wolffcarsten.de>  Tue, 15 Mar 2011 20:03:36 -0400

libnet-server-perl (0.97-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#457028)
  * Fixed FTBFS if build twice in a row
    (closes: Bug#424529)
  * updated standards version to 3.7.3.0 (no changes)
  * made lintian happy

 -- Carsten Wolff <carsten@wolffcarsten.de>  Tue, 04 Mar 2008 12:35:17 +0100

libnet-server-perl (0.94-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#358031) because amavisd-new is now 2.4.x in testing
  * new watch file
    (closes: Bug#354364)
  * fixed missing dependency on libnet-cidr-perl
    (closes: Bug#391579)
  * removed 01_syslog.dpatch, because it's now part of upstream
  * updated standards version to 3.7.2.2 (no changes)
  * changed Build-Depends-Indep into Build-Depends

 -- Carsten Wolff <carsten@wolffcarsten.de>  Tue, 17 Oct 2006 19:22:42 +0200

libnet-server-perl (0.90-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#344083)

 -- Carsten Wolff <carsten@wolffcarsten.de>  Sun, 15 Jan 2006 22:57:02 +0100

libnet-server-perl (0.89-1) unstable; urgency=high

  * New upstream release
    (closes: Bug#296137)
    (closes: Bug#329640)
  * Don't ship README, it's exactly the same as the manpage and therefor
    redundant.
    (closes: Bug#308324)
  * New standards version 3.6.2: No changes
  * Fixes syslog format string vulnerability (CVE-2005-1127)

 -- Carsten Wolff <carsten@wolffcarsten.de>  Wed, 30 Nov 2005 21:51:43 +0100

libnet-server-perl (0.87-3) unstable; urgency=low

  * fixed user-/groupvalidation, it's now possible to run it as a user with
    hyphens in it's name. The patch was also submitted to CPAN.
    (closes: Bug#296043)

 -- Carsten Wolff <carsten@wolffcarsten.de>  Sun, 20 Feb 2005 05:21:11 +0100

libnet-server-perl (0.87-2) unstable; urgency=low

  * fixed system() calls in PreFork children. Thanks to David Parrish
    for providing the patch.
    (closes: Bug#283886)

 -- Carsten Wolff <carsten@wolffcarsten.de>  Sat, 18 Dec 2004 03:23:34 +0200

libnet-server-perl (0.87-1) unstable; urgency=low

  * New Maintainer (package was orphaned)
  * New upstream version (and new upstream maintainer, too)
    Thanks, Adrian von Bidder for providing updated packages
    (closes: Bug#257242)
    (closes: Bug#223383)
  * Policy 3.6.1: No changes
  * debian/rules
    - build in binary-indep, not binary-arch
    - avoid shipping .svn directories
  * use dpatch to handle changes in the source-tree
  * fixed the the syslog-problem as proposed in 202439
    (closes: Bug#202439)

 -- Carsten Wolff <carsten@wolffcarsten.de>  Tue, 28 Sep 2004 18:36:07 +0200

libnet-server-perl (0.85-3) unstable; urgency=low

  * debian/control: depends on libio-multiplex-perl (closes: #192921)

 -- Luca Filipozzi <lfilipoz@debian.org>  Sat, 17 May 2003 16:00:32 -0700

libnet-server-perl (0.85-2) unstable; urgency=low

  * Net::Server does not background properly when logging to syslog; applied
    user-supplied patch (closes: #185457)
  * debian/control: change section to perl

 -- Luca Filipozzi <lfilipoz@debian.org>  Sun,  6 Apr 2003 21:06:43 -0700

libnet-server-perl (0.85-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@debian.org>  Sat,  5 Apr 2003 20:13:18 -0800

libnet-server-perl (0.84-3) unstable; urgency=low

  * lib/Net/Server.pm: added patch from Christian Mock to check for
    existance of child before attempting to close() a socket to it
    (patch sent upstream) (closes: Bug#168784)

 -- Luca Filipozzi <lfilipoz@debian.org>  Tue, 19 Nov 2002 10:07:52 -0800

libnet-server-perl (0.84-2) unstable; urgency=low

  * debian/copyright: references appropriate licenses in
    /usr/share/common-licenses (closes: Bug#157624)

 -- Luca Filipozzi <lfilipoz@debian.org>  Sat, 21 Sep 2002 13:38:12 -0700

libnet-server-perl (0.84-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@debian.org>  Fri, 12 Jul 2002 22:27:27 -0700

libnet-server-perl (0.83-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@debian.org>  Sun,  2 Jun 2002 20:59:51 -0700

libnet-server-perl (0.82-1) unstable; urgency=low

  * Initial release.  (closes: #143048)

 -- Luca Filipozzi <lfilipoz@debian.org>  Mon, 15 Apr 2002 11:36:11 -0700
